Subject: Re: stash-p broken?

From: Junio C Hamano <[email-masked]>
Date: Thu, 31 Jul 2014 09:49:41 -0700

Jeff King <[email-masked]> writes:

> Hmph. To be honest, I am starting to wonder if implying "--first-parent"
> is a more sensible option for "stash list". It matches "stash show", at
> least, and it is not unreasonable to simply present the changes in the
> working tree by default, and ignore the index. People who are more
> clueful can pick apart the commits using "git log" themselves.

Yup, I tend to agree.

After thinking about this a lot, I really wish that we did not have
"stash apply" and "stash pop", but just "stash save" and a single
"stash restore" that either checks out the original branch (if its
head have not moved) or detaches the HEAD at the original commit
(otherwise), and then restores the state of the index and the
working tree (with or without untracked) and nothing else, but the
details are too long to fit in this topic ;-)